/**
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2019 KYOCERA Corporation
 */

#ifndef AfpConfigUtil_h
#define AfpConfigUtil_h

#include "base/android/jni_android.h"
#include "base/android/jni_array.h"
#include "base/android/jni_string.h"
#include "base/android/jni_weak_ref.h"
#include "base/memory/singleton.h"

#include <map>
#include <string>
#include <vector>

namespace base {
namespace android {

class AfpConfigUtil {
public:
  AfpConfigUtil();
  ~AfpConfigUtil();

  int GetConfigValue(std::string key);
  void SetConfigValueList(std::vector<std::string> values);
  void SplitConfigValue(std::string value_text, std::string& key, int& value);
  static AfpConfigUtil* getInstance() {
    return base::Singleton<AfpConfigUtil>::get();
  }
private:
  std::map<std::string, int> map_;
};

} // namespace android
} // namespace base

#endif // AfpConfigUtil_h